package domain


type AlibabaRetailMarketingBuygiftActivityQueryBuyGiftActivityQueryRequest struct {
    /*
        活动ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        erp外部活动id     */
    OutActId  *string `json:"out_act_id,omitempty" `

}

func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftActivityQueryRequest) SetActId(v int64) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftActivityQueryRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftActivityQueryRequest) SetOutActId(v string) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftActivityQueryRequest {
    s.OutActId = &v
    return s
}
